/resourceGrants

This endpoint allows you to Retrieve a list of resource grants with pagination and filter parameters.
It is important to note that after using the pageSize parameter, the "totalSize" in the response represents the total number of available resource grants, not the number of resource grants resulting from the query string.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Token string value that references a page for pagination. This value is received when retrieving the first page in the nextPageToken and prevPageToken fields. When a pageToken is provided, the backend remembers search parameters from the original request, so search parameters that affect the result set or order are optional and will be ignored if provided. Representation parameters like include should still be applied.

integer
1 to 500
Defaults to 100

The number of entries to return per page. The maximum range of valid page sizes is documented with minimum and maximum values, but the range might be further limited dynamically based on the requested information, account, and system status. Values outside of the (dynamic) allowed range will not result in an error, but will be clamped to the nearest limit. Thus, logic to detect the last page should not be based on comparing the requested size with the received size, but on the existence of a nextPageToken value.

string
enum
required

Filter to get the grants with the specified resource type

Allowed:
userId__in
array of strings

Filter to get the grants whose userId is on the provided list. The lookup is exact but case insensitive

userId__in
resourceId__in
array of strings

Filter to get the grants whose resourceId is on the provided list. The lookup is exact but case insensitive

resourceId__in
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json